@echo off

rem /*******************************************************************************
rem  * Copyright 2003 Seapine Software, Inc. All rights reserved.
rem  * 
rem  * IMPORTANT:  This Software is supplied to you by Seapine Software, Inc. (Seapine)
rem  * in consideration of your agreement to the following terms, and your use, installation,
rem  * modification or redistribution of this Software constitutes acceptance of these terms.
rem  * If you do not agree with these terms, please do not use, install, modify or redistribute
rem  * this Software.
rem  * 
rem  * In consideration of your agreement to abide by the following terms, and subject to these
rem  * terms, Seapine grants you a personal, non-exclusive license, under Seapine copyrights in
rem  * this original Seapine software (the Software), to use, reproduce, modify and redistribute
rem  * the Software, with or without modifications, in source and/or binary forms; provided that
rem  * if you redistribute the Software in its entirety and without modifications, you must retain
rem  * this notice and the following text and disclaimers in all such redistributions of the Software.
rem  * Neither the name, trademarks, service marks or logos of Seapine, Inc. may be used to endorse
rem  * or promote products derived from the Software without specific prior written permission from
rem  * Seapine.  Except as expressly stated in this notice, no other rights or licenses, express or
rem  * implied, are granted by Seapine herein, including but not limited to any patent rights that
rem  * may be infringed by your derivative works or by other works in which the Software may be
rem  * incorporated.
rem  * 
rem  * The Software is provided by Seapine on an "AS IS" basis.  SEAPINE MAKES NO WARRANTIES,
rem  * EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION THE IMPLIED WARRANTIES OF NON-INFRINGEMENT,
rem  * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, REGARDING THE SOFTWARE OR ITS USE AND
rem  * OPERATION ALONE OR IN COMBINATION WITH YOUR PRODUCTS. 
rem  * 
rem  * IN NO EVENT SHALL SEAPINE BE LIABLE FOR ANY SPECIAL, INDIRECT, INCIDENTAL OR CONSEQUENTIAL
rem  * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
rem  * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) ARISING IN ANY WAY OUT OF THE USE,
rem  * REPRODUCTION, MODIFICATION AND/OR DISTRIBUTION OF THE SOFTWARE, HOWEVER CAUSED AND WHETHER
rem  * UNDER THEORY OF CONTRACT, TORT (INCLUDING NEGLIGENCE), STRICT LIABILITY OR OTHERWISE, EVEN
rem  * IF SEAPINE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
rem  ******************************************************************************/


rem ***** The following line can be modified to save to another log file
set SCM_LOG_FILE_OUTPUT="C:\SCMSampleLog.txt"

echo Trigger "%SSCM_TRIGGERDESC%" was fired on %SSCM_DATE% at %SSCM_TIME%. >> %SCM_LOG_FILE_OUTPUT%
echo   %SSCM_TRIGGERDESC% was fired %SSCM_BEFOREAFTER% %SSCM_EVENT%. >> %SCM_LOG_FILE_OUTPUT%
echo   %SSCM_USER% (%SSCM_CLIENTIP% - %SSCM_CLIENTMACHINE%) performed a %SSCM_EVENT% >> %SCM_LOG_FILE_OUTPUT%
echo     in the mainline %SSCM_MAINLINE% >> %SCM_LOG_FILE_OUTPUT%
echo     in the branch %SSCM_BRANCH% of type %SSCM_BRANCHTYPE% >> %SCM_LOG_FILE_OUTPUT%
echo     on the file %SSCM_REPOSITORY%/%SSCM_FILE% >> %SCM_LOG_FILE_OUTPUT%

if "%SSCM_DEFECTNUMBER%"=="" goto SkipDefectNum
echo       Attached to defect number %SSCM_DEFECTNUMBER% >> %SCM_LOG_FILE_OUTPUT%
:SkipDefectNum

if "%SSCM_SOURCEBRANCH%"=="" goto SkipSourceBranch
echo       %SSCM_EVENT% from branch %SSCM_SOURCEBRANCH% to %SSCM_BRANCH% >> %SCM_LOG_FILE_OUTPUT%
:SkipSourceBranch

if "%SSCM_FILEVERSION%"=="" goto SkipFileVersion
echo       The new file version is %SSCM_FILEVERSION%. >> %SCM_LOG_FILE_OUTPUT%
:SkipFileVersion

if "%SSCM_LOCALFILE%"=="" goto SkipLocalFile
echo       The local file was accessible via %SSCM_LOCALFILE% >> %SCM_LOG_FILE_OUTPUT%
:SkipLocalFile

if "%SSCM_SHAREREPOSITORY%"=="" goto SkipShare
echo       The file was shared from %SSCM_SHAREREPOSITORY% >> %SCM_LOG_FILE_OUTPUT%
:SkipShare

if "%SSCM_OLDFILENAME%"=="" goto SkipRename
echo       The file was renamed from %SSCM_OLDFILENAME% to %SSCM_FILE% >> %SCM_LOG_FILE_OUTPUT%
:SkipRename

if "%SSCM_PERMREMOVE%"=="yes" goto ShowPermRemove
goto SkipPermRemove
:ShowPermRemove
echo       The file was permanently removed. >> %SCM_LOG_FILE_OUTPUT%
:SkipPermRemove

echo. >> %SCM_LOG_FILE_OUTPUT%
